@echo off
:: Перезапуск драйвера по ID оборудования
:: Используем для кастыльного способа через DSE-Patcher [Не работает в 24H2 windows 11 на данный момент]

:: Проверяем, запущен ли скрипт от администратора
net session >nul 2>&1
if %errorlevel% == 0 (
    echo Уже запущено с правами администратора.
) else (
    echo Требуются права администратора. Перезапускаем...
    powershell -Command "Start-Process '%~f0' -Verb RunAs"
    exit /b
)

:: Используйте "pnputil /enum-devices /class Media" и вводите свои уже установленные драйвера с ошибкой 52
pnputil /restart-device "BTHENUM\{0000110b-0000-1000-8000-00805f9b34fb}_VID&000105d6_PID&000a\7&24dc049d&0&C4CBBE1430D7_C00000000"
echo Драйвера №1 перезапущен.
pnputil /restart-device "BTHENUM\{0000110b-0000-1000-8000-00805f9b34fb}_VID&000105ac_PID&0220\7&24dc049d&0&4142269D4643_C00000000"
echo Драйвера №2 перезапущен.

echo Драйвера перезапущены!

exit